Description

While the default of not showing overlapping elements makes sense for labels, it is less reasonable for diagrams, where a partial overlap

is better than missing some.

Furthermore, the option to show them all is hidden in obscure (for average user) options.

My suggestions:

    -  enable "show all" by default

    -  put the option to remove the overlapping ones in the main dialog, easy to find.

Associated revisions

Revision d7eec444 - 2015-04-09 09:50 AM - Nyall Dawson

[FEATURE] Add checkbox to always show diagrams for a layer

Unlike the global labeling setting this applies only to diagrams,

and only for a single layer. Defaults to on. (fix #8706)

History

#1 - 2013-09-27 11:54 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

#2 - 2013-09-28 02:46 AM - Marek Michalski

Thank You very much. I've found "show all" option for charts after two hours or so spent with google ;-) So, it's not a bug, it's feature...

Your suggestions are OK, this option should be visible in main dialog and enabled by default.

#3 - 2015-04-09 12:55 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"d7eec444a2f193ecd9ae7fb0eba0c8a445c59809".
